## linux-azure 6.17.0-1002.2

=== kernel/bpf/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-y := core.o
ifneq ($(CONFIG_BPF_JIT_ALWAYS_ON),y)
# ___bpf_prog_run() needs GCSE disabled on x86; see 3193c0836f203 for details
cflags-nogcse-$(CONFIG_X86)$(CONFIG_CC_IS_GCC) := -fno-gcse
endif
CFLAGS_core.o += -Wno-override-init $(cflags-nogcse-yy)

obj-$(CONFIG_BPF_SYSCALL) += syscall.o verifier.o inode.o helpers.o tnum.o log.o token.o
obj-$(CONFIG_BPF_SYSCALL) += bpf_iter.o map_iter.o task_iter.o prog_iter.o link_iter.o
obj-$(CONFIG_BPF_SYSCALL) += hashtab.o arraymap.o percpu_freelist.o bpf_lru_list.o lpm_trie.o map_in_map.o bloom_filter.o
obj-$(CONFIG_BPF_SYSCALL) += local_storage.o queue_stack_maps.o ringbuf.o
obj-$(CONFIG_BPF_SYSCALL) += bpf_local_storage.o bpf_task_storage.o
obj-${CONFIG_BPF_LSM}	  += bpf_inode_storage.o
obj-$(CONFIG_BPF_SYSCALL) += disasm.o mprog.o
obj-$(CONFIG_BPF_JIT) += trampoline.o
obj-$(CONFIG_BPF_SYSCALL) += btf.o memalloc.o rqspinlock.o stream.o
ifeq ($(CONFIG_MMU)$(CONFIG_64BIT),yy)
obj-$(CONFIG_BPF_SYSCALL) += arena.o range_tree.o
endif
obj-$(CONFIG_BPF_JIT) += dispatcher.o
ifeq ($(CONFIG_NET),y)
obj-$(CONFIG_BPF_SYSCALL) += devmap.o
obj-$(CONFIG_BPF_SYSCALL) += cpumap.o
obj-$(CONFIG_BPF_SYSCALL) += offload.o
obj-$(CONFIG_BPF_SYSCALL) += net_namespace.o
obj-$(CONFIG_BPF_SYSCALL) += tcx.o
endif
ifeq ($(CONFIG_PERF_EVENTS),y)
obj-$(CONFIG_BPF_SYSCALL) += stackmap.o
endif
ifeq ($(CONFIG_CGROUPS),y)
obj-$(CONFIG_BPF_SYSCALL) += cgroup_iter.o bpf_cgrp_storage.o
endif
obj-$(CONFIG_CGROUP_BPF) += cgroup.o
ifeq ($(CONFIG_INET),y)
obj-$(CONFIG_BPF_SYSCALL) += reuseport_array.o
endif
ifeq ($(CONFIG_SYSFS),y)
obj-$(CONFIG_DEBUG_INFO_BTF) += sysfs_btf.o
endif
ifeq ($(CONFIG_BPF_JIT),y)
obj-$(CONFIG_BPF_SYSCALL) += bpf_struct_ops.o
obj-$(CONFIG_BPF_SYSCALL) += cpumask.o
obj-${CONFIG_BPF_LSM} += bpf_lsm.o
endif
ifneq ($(CONFIG_CRYPTO),)
obj-$(CONFIG_BPF_SYSCALL) += crypto.o
endif
obj-$(CONFIG_BPF_PRELOAD) += preload/

obj-$(CONFIG_BPF_SYSCALL) += relo_core.o
obj-$(CONFIG_BPF_SYSCALL) += btf_iter.o
obj-$(CONFIG_BPF_SYSCALL) += btf_relocate.o
obj-$(CONFIG_BPF_SYSCALL) += kmem_cache_iter.o
ifeq ($(CONFIG_DMA_SHARED_BUFFER),y)
obj-$(CONFIG_BPF_SYSCALL) += dmabuf_iter.o
endif

CFLAGS_REMOVE_percpu_freelist.o = $(CC_FLAGS_FTRACE)
CFLAGS_REMOVE_bpf_lru_list.o = $(CC_FLAGS_FTRACE)
CFLAGS_REMOVE_queue_stack_maps.o = $(CC_FLAGS_FTRACE)
CFLAGS_REMOVE_lpm_trie.o = $(CC_FLAGS_FTRACE)
CFLAGS_REMOVE_ringbuf.o = $(CC_FLAGS_FTRACE)

=== net/l2tp/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the L2TP.
#

obj-$(CONFIG_L2TP) += l2tp_core.o

CFLAGS_l2tp_core.o += -I$(src)

# Build l2tp as modules if L2TP is M
obj-$(subst y,$(CONFIG_L2TP),$(CONFIG_PPPOL2TP)) += l2tp_ppp.o
obj-$(subst y,$(CONFIG_L2TP),$(CONFIG_L2TP_IP)) += l2tp_ip.o
obj-$(subst y,$(CONFIG_L2TP),$(CONFIG_L2TP_V3)) += l2tp_netlink.o
obj-$(subst y,$(CONFIG_L2TP),$(CONFIG_L2TP_ETH)) += l2tp_eth.o
obj-$(subst y,$(CONFIG_L2TP),$(CONFIG_L2TP_DEBUGFS)) += l2tp_debugfs.o
ifneq ($(CONFIG_IPV6),)
obj-$(subst y,$(CONFIG_L2TP),$(CONFIG_L2TP_IP)) += l2tp_ip6.o
endif

=== debian/changelog ===
linux-azure (6.17.0-1002.2) questing; urgency=medium

  * questing/linux-azure: 6.17.0-1002.2 -proposed tracker (LP: #2122645)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update variants
    - [Packaging] debian.azure/dkms-versions -- update from kernel-versions
      (main/d2025.09.08)

  * Miscellaneous Ubuntu changes
    - [Packaging] Drop forward-backport cruft
    - [Config] updateconfigs after rebase to 6.17

  * Miscellaneous upstream changes
    - net: mana: Use page pool fragments for RX buffers instead of full pages
      to improve memory efficiency.

  [ Ubuntu: 6.17.0-4.4 ]

  * questing/linux: 6.17.0-4.4 -proposed tracker (LP: #2122321)
  * [SRU] Do not instantiate SPD5118 sensors on i801 SMBus controllers
    (LP: #2114963)
    - SAUCE: i2c: i801: Do not instantiate spd5118 under SPD Write Disable
  * initramfs-tools: autopkgtest fails on arm64 with Possible missing firmware
    /lib/firmware/apple/dfrmtfw-*.bin for built-in driver apple_z2
    (LP: #2115758)
    - [Config] Set TOUCHSCREEN_APPLE_Z2=m (arm64)
  * Support TDX host in questing (LP: #2121873)
    - SAUCE: x86/kexec: Consolidate relocate_kernel() function parameters
    - SAUCE: x86/sme: Use percpu boolean to control WBINVD during kexec
    - SAUCE: x86/virt/tdx: Mark memory cache state incoherent when making
      SEAMCALL
    - SAUCE: x86/kexec: Disable kexec/kdump on platforms with TDX partial
      write erratum
    - SAUCE: x86/virt/tdx: Remove the !KEXEC_CORE dependency
    - SAUCE: x86/virt/tdx: Update the kexec section in the TDX documentation
    - SAUCE: KVM: TDX: Explicitly do WBINVD when no more TDX SEAMCALLs
    - [Config] enable TDX host support
  * minimal kernel lacks modules for blk disk in arm64 openstack environments
    where config_drive is required (LP: #2118499)
    - [Config] Enable SYM53C8XX_2 on arm64
  * Miscellaneous Ubuntu changes
    - [Config] Re-enable Rust support, and make sure it doesn't get disabled
      by accident
    - [Config] updateconfigs for v6.17-rc5 rebase

  [ Ubuntu: 6.17.0-3.3 ]

  * questing/linux: 6.17.0-3.3 -proposed tracker (LP: #2121512)
  *  Enable Xilinx PS UART configs (LP: #2121337)
    - [Config] Enable Xilinx PS UART configs
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.08.25)
  * Plucky/Questing fails to boot on (older) Macs (LP: #2105402)
    - SAUCE: hack: efi/libstub: enable t14s boot failure hack only on arm64
  * Miscellaneous Ubuntu changes
    - [Packaging] Fix linux-modules Description, add dependency on wireless-
      regdb from old -extra
    - [Packaging] Fix arch list for bpftool build-dep

  [ Ubuntu: 6.17.0-2.2 ]

  * questing/linux: 6.17.0-2.2 -proposed tracker (LP: #2121374)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.08.25)
  * enable Mediatek media platform drivers on arm64 (LP: #2116138)
    - [Config] enable mediatek media platform drivers
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/38]: Stacking: Audit: Create audit_stamp
      structure
    - SAUCE: apparmor5.0.0 [2/38]: Stacking: Audit: Allow multiple records in
      an audit_buffer
    - SAUCE: apparmor5.0.0 [3/38]: Stacking: LSM: security_lsmblob_to_secctx
      module selection
    - SAUCE: apparmor5.0.0 [4/38]: Stacking: Audit: Add record for multiple
      task security contexts
    - SAUCE: apparmor5.0.0 [5/38]: Stacking: Audit: multiple subject lsm
      values for netlabel
    - SAUCE: apparmor5.0.0 [6/38]: Stacking: Audit: Add record for multiple
      object contexts
    - SAUCE: apparmor5.0.0 [7/38]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [8/38]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [9/38]: Stacking: Audit: Call only the first of the
      audit rule hooks
    - SAUCE: apparmor5.0.0 [10/38]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [11/38]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [12/38]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [13/38]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [14/38]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [15/38]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [16/38]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [18/38]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [19/38]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [20/38]: aoparmor: userns: Add support for execpath
      in userns
    - SAUCE: apparmor5.0.0 [21/38]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [22/38]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [23/38]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [26/38]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [27/38]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [28/38]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [29/38]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [30/38]: apparmor: add AA_DEBUG_PROFILE to have
      debug on profiles with flag set
    - SAUCE: apparmor5.0.0 [31/38]: apparmor: make str table more generic and


=== debian/control ===
Source: linux-azure
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSC-Ubuntu-Compatible-Signing: ubuntu/4 pro/3
Rules-Requires-Root: no
Standards-Version: 3.9.4.0
Build-Depends:
 gcc:native, gcc-aarch64-linux-gnu [arm64] <cross>, gcc-arm-linux-gnueabihf [armhf] <cross>, gcc-powerpc64le-linux-gnu [ppc64el] <cross>, gcc-riscv64-linux-gnu [riscv64] <cross>, gcc-s390x-linux-gnu [s390x] <cross>, gcc-x86-64-linux-gnu [amd64] <cross>,
 autoconf <!stage1>,
 automake <!stage1>,
 bc <!stage1>,
 bindgen [amd64 arm64 armhf ppc64el riscv64 s390x],
 bison <!stage1>,
 clang-18 [amd64 arm64 armhf ppc64el riscv64 s390x],
 cpio,
 curl <!stage1>,
 debhelper-compat (= 10),
 default-jdk-headless <!stage1>,
 dkms <!stage1>,
 dwarfdump <!stage1>,
 flex <!stage1>,
 gawk <!stage1>,
 java-common <!stage1>,
 kmod <!stage1>,
 libaudit-dev <!stage1>,
 libcap-dev <!stage1>,
 libdw-dev <!stage1>,
 libelf-dev <!stage1>,
 libiberty-dev <!stage1>,
 liblzma-dev <!stage1>,
 libnewt-dev <!stage1>,
 libnuma-dev [amd64 arm64 ppc64el s390x] <!stage1>,
 libpci-dev <!stage1>,
 libssl-dev <!stage1>,
 libstdc++-dev,
 libtool <!stage1>,
 libtraceevent-dev [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 libtracefs-dev [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 libudev-dev <!stage1>,
 libunwind8-dev [amd64 arm64 armhf ppc64el] <!stage1>,
 makedumpfile [amd64] <!stage1>,
 openssl <!stage1>,
 pahole [amd64 arm64 armhf ppc64el s390x riscv64] | dwarves (>= 1.21) [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 pkg-config <!stage1>,
 python3 <!stage1>,
 python3-dev <!stage1>,
 python3-setuptools,
 rsync [!i386] <!stage1>,
 rust-src [amd64 arm64 armhf ppc64el riscv64 s390x],
 rustc [amd64 arm64 armhf ppc64el riscv64 s390x],
 rustfmt [amd64 arm64 armhf ppc64el riscv64 s390x],
 uuid-dev <!stage1>,
 zstd <!stage1>,
Build-Depends-Indep:
 asciidoc <!stage1>,
 bzip2 <!stage1>,
 python3-docutils <!stage1>,
 sharutils <!stage1>,
 xmlto <!stage1>,
Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-azure/+git/questing
XS-Testsuite: autopkgtest
#XS-Testsuite-Depends: gcc-4.7 binutils

Package: linux-azure-headers-6.17.0-1002
Build-Profiles: <!stage1>
Architecture: all
Multi-Arch: foreign
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils
Description: Header files related to Linux kernel version 6.17.0
 This package provides kernel header files for version 6.17.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-azure-headers-6.17.0-1002/debian.README.gz for details

Package: linux-azure-tools-6.17.0-1002
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel version specific tools for version 6.17.0-1002
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 6.17.0-1002 on
 =HUMAN=.
 You probably want to install linux-tools-6.17.0-1002-<flavour>.

Package: linux-azure-cloud-tools-6.17.0-1002
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-cloud-tools-common
Description: Linux kernel version specific cloud tools for version 6.17.0-1002
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud tools for version 6.17.0-1002 on
 =HUMAN=.
 You probably want to install linux-cloud-tools-6.17.0-1002-<flavour>.


Package: linux-image-unsigned-6.17.0-1002-azure
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [amd64], ${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-6.17.0-1002-azure
Recommends: grub-pc [amd64] | grub-efi-amd64 [amd64] | grub-efi-ia32 [amd64] | grub [amd64] | flash-kernel [arm64] | grub-efi-arm64 [arm64]
Breaks: flash-kernel (<< 3.0~rc.4ubuntu64) [arm64]
Conflicts: linux-image-6.17.0-1002-azure
Suggests: fdutils, linux-azure-doc-6.17.0 | linux-azure-source-6.17.0, linux-azure-tools, linux-headers-6.17.0-1002-azure, initramfs-tools | linux-initramfs-tool
Description: Linux kernel image for version 6.17.0 on DESC
 This package contains the unsigned Linux kernel image for version 6.17.0 on
 DESC.
 .
 Supports Azure processors.
 .
 Geared toward Azure systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-azure meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-unsigned-6.17.0-1002-azure-dbgsym
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 6.17.0 on DESC
 This package provides the unsigned kernel debug image for version 6.17.0 on
 DESC.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.


Package: linux-modules-6.17.0-1002-azure
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-base-sgx
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel extra modules for version 6.17.0 on DESC
 Contains the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Azure processors.
 .
 Geared toward Azure systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-azure meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-extra-6.17.0-1002-azure
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, wireless-regdb, linux-modules-6.17.0-1002-azure
Description: Linux kernel extra modules for version 6.17.0 on DESC
 This package contains the Linux kernel extra modules for version 6.17.0 on
 DESC.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Azure processors.
 .
 Geared toward Azure systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-azure meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-6.17.0-1002-azure
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-azure-headers-6.17.0-1002, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux kernel headers for version 6.17.0 on DESC
 This package provides kernel header files for version 6.17.0 on
 DESC.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-6.17.0-1002/debian.README.gz for details.

Package: linux-tools-6.17.0-1002-azure
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-azure-tools-6.17.0-1002
Description: Linux kernel version specific tools for version 6.17.0-1002
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 6.17.0-1002 on
 =HUMAN=.

Package: linux-cloud-tools-6.17.0-1002-azure
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-azure-cloud-tools-6.17.0-1002
Description: Linux kernel version specific cloud tools for version 6.17.0-1002
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud for version 6.17.0-1002 on
 =HUMAN=.

Package: linux-udebs-azure
Build-Profiles: <!stage1> <!noudeb> <!cross> <!autopkgtest>
XC-Package-Type: udeb
Section: debian-installer
Architecture: amd64 arm64
Depends: ${udeb:Depends}
Description: Metapackage depending on kernel udebs
 This package depends on the all udebs that the kernel build generated,
 for easier version and migration tracking.


Package: linux-buildinfo-6.17.0-1002-azure
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel buildinfo for version 6.17.0
 This package contains the Linux kernel buildinfo for version 6.17.0.
 .
 You likely do not want to install this package.
